/**
 * MAC440  - Sistemas de Objectos Distribudos 
 * Aluno   - Charlie Yukio Nakagawa - 2236341
 *         - Gustavo Castilhos      - 1142713
 * Projeto - Autenticacao com Interceptadores no JDK 1.4
 **/
import HelloApp.*;
import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;
import org.omg.CORBA.*;

/**
 * Classe HelloClient de teste
 **/
public class HelloClient {
  static Hello helloImpl;

  public static void main(String args[]) {
    try{// create and initialize the ORB
      ORB orb = ORB.init(args, null);
      // get the root naming context
      org.omg.CORBA.Object objRef = 
      orb.resolve_initial_references("NameService");
      // Use NamingContextExt instead of NamingContext. This is 
      // part of the Interoperable naming Service.  
      NamingContextExt ncRef = NamingContextExtHelper.narrow(objRef);

      // resolve the Object Reference in Naming
      String name = "Hello";
      helloImpl = HelloHelper.narrow(ncRef.resolve_str(name));

      //System.out.println("Obtained a handle on server object: " + helloImpl);
      System.out.println(helloImpl.sayHello("\nHello, World!\n"));
      //helloImpl.shutdown();
    } 
    catch (Exception e) {
      System.out.println("ERRO no cliente: " + e);
      //e.printStackTrace(System.out);
    }
  }
}
 

