/**
 * MAC440  - Sistemas de Objectos Distribudos 
 * Aluno   - Charlie Yukio Nakagawa - 2236341
 *         - Gustavo Castilhos      - 1142713
 * Projeto - Autenticacao com Interceptadores no JDK 1.4
 **/
package autentica.principal;

import java.security.Principal;

public class AutenticaPrincipal implements Principal, java.io.Serializable {

  private String name;

  public AutenticaPrincipal(String name) {
  if (name == null)
    throw new NullPointerException("illegal null input");

	this.name = name;
}
  public String getName() {
    return name;
  }
  
  public String toString() {
    return("AutenticaPrincipal:  " + name);
  }

  public boolean equals(Object o) {
    if (o == null)
      return false;
    if (this == o)
      return true;
    if (!(o instanceof AutenticaPrincipal))
      return false;
    AutenticaPrincipal that = (AutenticaPrincipal)o;
    if (this.getName().equals(that.getName()))
	   return true;
    return false;
  }
  public int hashCode() {
    return name.hashCode();
  }
}
